[arch-commits] Commit in libx11/trunk (PKGBUILD xorg.sh)

Jan de Groot jgc at archlinux.org
Tue Aug 5 15:30:00 EDT 2008


    Date: Tuesday, August 5, 2008 @ 15:30:00
  Author: jgc
Revision: 8016

upgpkg: libx11 1.1.4-3
    Depend on latest libxcb

Modified:
  libx11/trunk/PKGBUILD
  libx11/trunk/xorg.sh

----------+
 PKGBUILD |   26 ++++++++++++--------------
 xorg.sh  |    4 ----
 2 files changed, 12 insertions(+), 18 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 18:47:21 UTC (rev 8015)
+++ PKGBUILD	2008-08-05 19:30:00 UTC (rev 8016)
@@ -3,13 +3,12 @@
 # Contributor Jan de Groot <jgc at archlinux.org>
 pkgname=libx11
 pkgver=1.1.4
-pkgrel=2
+pkgrel=3
 pkgdesc="X11 client-side library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=('libxau' 'libxdmcp' 'libxcb>=1.1' 'kbproto' 'inputproto' 'bigreqsproto')
-makedepends=('pkgconfig' 'xcmiscproto' 'xextproto' 'xf86bigfontproto' 'xtrans' \
-             'bigreqsproto' 'xorg-util-macros' 'autoconf' 'automake' 'libtool')
+depends=('libxau' 'libxdmcp' 'libxcb>=1.1.90.1' 'kbproto' 'inputproto' 'bigreqsproto')
+makedepends=('pkgconfig' 'xcmiscproto' 'xextproto' 'xf86bigfontproto' 'xtrans' 'bigreqsproto' 'xorg-util-macros' 'autoconf' 'automake' 'libtool')
 options=('!libtool')
 license=('custom:XFREE86')
 source=(${url}/releases/individual/lib/libX11-${pkgver}.tar.bz2
@@ -17,11 +16,11 @@
 	xorg.sh)
 md5sums=('1469a5a8aa8d288dce6f4c45d2f68dc3'
          'c7e38a68b932ed557bc71979eed2a8a1'
-         'ea3f14c529072c8be061493763479800')
+         '942ff006e69e041f0307c1316e0dec5d')
 
 build() {
-  cd ${startdir}/src/libX11-${pkgver}
-  patch -Np1 -i ${startdir}/src/012_ru_RU_UTF-8_XLC_LOCALE.diff || return 1
+  cd ${srcdir}/libX11-${pkgver}
+  patch -Np1 -i ${srcdir}/012_ru_RU_UTF-8_XLC_LOCALE.diff || return 1
 
 
   libtoolize --force --copy || return 1
@@ -32,13 +31,12 @@
   ./configure --prefix=/usr \
               --with-xcb || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
-  install -d -m755 ${startdir}/pkg/etc/profile.d 
-  install -m755 ${startdir}/src/xorg.sh \
-                ${startdir}/pkg/etc/profile.d/ || return 1
+  install -m755 -d ${pkgdir}/etc/profile.d 
+  install -m755 ${srcdir}/xorg.sh \
+                ${pkgdir}/etc/profile.d/ || return 1
 
-  install -d -m755 ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 -D ${startdir}/src/libX11-${pkgver}/COPYING \
-                   ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }

Modified: xorg.sh
===================================================================
--- xorg.sh	2008-08-05 18:47:21 UTC (rev 8015)
+++ xorg.sh	2008-08-05 19:30:00 UTC (rev 8016)
@@ -13,7 +13,3 @@
 else
 	export XDG_CONFIG_DIRS=/etc/xdg:$XDG_CONFIG_DIRS
 fi
-
-# temporarily loosen restrictions in libxcb to get java
-# application involving X to work.
-export  LIBXCB_ALLOW_SLOPPY_LOCK=true




More information about the arch-commits mailing list